[arch-commits] Commit in libffi/repos (6 files)

Allan McRae allan at archlinux.org
Mon Apr 23 07:12:47 EDT 2012


    Date: Monday, April 23, 2012 @ 07:12:47
  Author: allan
Revision: 157066

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  libffi/repos/staging-i686/
  libffi/repos/staging-i686/PKGBUILD
    (from rev 157065, libffi/trunk/PKGBUILD)
  libffi/repos/staging-i686/libffi.install
    (from rev 157065, libffi/trunk/libffi.install)
  libffi/repos/staging-x86_64/
  libffi/repos/staging-x86_64/PKGBUILD
    (from rev 157065, libffi/trunk/PKGBUILD)
  libffi/repos/staging-x86_64/libffi.install
    (from rev 157065, libffi/trunk/libffi.install)

-------------------------------+
 staging-i686/PKGBUILD         |   33 +++++++++++++++++++++++++++++++++
 staging-i686/libffi.install   |   20 ++++++++++++++++++++
 staging-x86_64/PKGBUILD       |   33 +++++++++++++++++++++++++++++++++
 staging-x86_64/libffi.install |   20 ++++++++++++++++++++
 4 files changed, 106 insertions(+)

Copied: libffi/repos/staging-i686/PKGBUILD (from rev 157065, libffi/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2012-04-23 11:12:47 UTC (rev 157066)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libffi
+pkgver=3.0.11
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions"
+arch=('i686' 'x86_64')
+url="http://sourceware.org/libffi"
+license=('MIT')
+depends=('glibc')
+checkdepends=('dejagnu')
+options=('!libtool')
+install=libffi.install
+source=(ftp://sourceware.org/pub/libffi/libffi-${pkgver}.tar.gz)
+md5sums=('f69b9693227d976835b4857b1ba7d0e3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: libffi/repos/staging-i686/libffi.install (from rev 157065, libffi/trunk/libffi.install)
===================================================================
--- staging-i686/libffi.install	                        (rev 0)
+++ staging-i686/libffi.install	2012-04-23 11:12:47 UTC (rev 157066)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libffi.info.gz)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: libffi/repos/staging-x86_64/PKGBUILD (from rev 157065, libffi/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2012-04-23 11:12:47 UTC (rev 157066)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libffi
+pkgver=3.0.11
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions"
+arch=('i686' 'x86_64')
+url="http://sourceware.org/libffi"
+license=('MIT')
+depends=('glibc')
+checkdepends=('dejagnu')
+options=('!libtool')
+install=libffi.install
+source=(ftp://sourceware.org/pub/libffi/libffi-${pkgver}.tar.gz)
+md5sums=('f69b9693227d976835b4857b1ba7d0e3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: libffi/repos/staging-x86_64/libffi.install (from rev 157065, libffi/trunk/libffi.install)
===================================================================
--- staging-x86_64/libffi.install	                        (rev 0)
+++ staging-x86_64/libffi.install	2012-04-23 11:12:47 UTC (rev 157066)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libffi.info.gz)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list